Bug 1294698 - Nautilus extension should require PyGObject dependency
Nautilus extension should require PyGObject dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tortoisehg (Show other bugs)
23
noarch Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 14:06 EST by tjohnson
Modified: 2016-01-11 06:26 EST (History)
2 users (show)

See Also:
Fixed In Version: tortoisehg-3.6.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 06:26:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tjohnson 2015-12-29 14:06:37 EST
The Nautilus extension didn't work for me until I ran 'dnf install pygobject3'. The tortoisehg-nautilus package only lists nautilus-python as a dependency, but it should also require pygobject.
Comment 1 Mads Kiilerich 2015-12-30 20:19:13 EST
It seems to work for me without having pygobject3 installed.

Exactly what didn't work? Can you verify whether it _really_ was pygobject3 that made a difference for you?
Comment 2 tjohnson 2015-12-30 20:26:06 EST
The extension didn't work at all for me without pygobject3. The overlay icons didn't show in my repository directories, and there were no TortoiseHg commands on the context menu. I restarted Fedora and it still didn't work.

When I ran 'nautilus -q', I got this error: "ImportError: could not import gobject (error was: 'No module named gi._gobject')". When I googled this error message, the first result was bug 750925, which suggests installing pygobject3. After I did, the error message disappeared and the extension immediately started working.
Comment 3 Mads Kiilerich 2015-12-30 20:43:12 EST
Can you confirm you see the problem again after
rpm -e pygobject3
?
Comment 4 Mads Kiilerich 2015-12-30 20:45:33 EST
I guess you only will see the problem again after
dnf remove python-gobject-base
and can fix it with
dnf install python-gobject-base
?
Comment 5 tjohnson 2015-12-30 21:15:39 EST
When I ran 'rpm -e pygobject3', I got an error saying that the package is not installed.

I was able to run the dnf commands though, and they worked as you expected. The problem reappeared when I removed the package and was fixed after I reinstalled it.

I don't know if it's important or not, but I noticed that the remove command uninstalled 2 packages (the second one was 'python-gobject'), and the install command only installed 1 package.
Comment 6 Fedora Update System 2016-01-01 18:06:05 EST
tortoisehg-3.6.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dde65ee702
Comment 7 Fedora Update System 2016-01-02 22:23:17 EST
tortoisehg-3.6.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dde65ee702
Comment 8 Fedora Update System 2016-01-11 06:26:07 EST
tortoisehg-3.6.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.